package com.javaranch.junit;

import junit.framework.TestCase;
import junit.framework.TestResult;

/**
 * An extended version of JUnit's "TestCase" class that provides a "canRun" method.
 * Override "canRun" to tell JUnit whether or not a given test can run in the current
 * test environment.
 */
public class JRTestCase extends TestCase {

    public JRTestCase(String s) {
        super(s);
    }

    public boolean canRun() {
        return true;
    }

    public void run(TestResult result) {
        if (canRun())
            super.run(result);
    }
}
